#!/bin/sh

set -e

#
# compile:
#
make clean
make

#
# remove previus results:
#
rm -f output/*.out output/*.fits

#
# run tests:
#
ininphot=300

Ncells_beg=16;
Ncells_end=8192;
i_fac=2;

i_beg=1
i_end=100

for ((Ncells_now = $Ncells_beg; Ncells_now <= $Ncells_end; Ncells_now *= $i_fac))
do
    for ((i_run = $i_beg; i_run <= $i_end; i_run += 1))
    do

        echo "$i_run / $i_end ... processing a run with Ncells = $Ncells_now"
        ./lime.x --doraytracing 0 --ininphot $ininphot --uservar1 $Ncells_now
        mv output/Ncells=${Ncells_now}_pops.out output/Ncells=${Ncells_now}_pops_${i_run}.out

    done
done
