/*
 *  weights.c
 *  LIME, The versatile 3D line modeling environment
 *
 *  Created by Christian Brinch on 11/16/06.
 *  Copyright 2006-2011, Christian Brinch,
 *  <brinch@strw.leidenuniv.nl>
 *  Sterrewacht Leiden
 *  Leiden University
 *	All rights reserved.
 *
 */

#include "lime.h"

int
pointEvaluation(inputPars *par,double ran, double x, double y, double z){
    double weight1, weight2, val[99],n0,val2[99];
    
    density(par->minScale,par->minScale,par->minScale,val);
    abundance(par->minScale,par->minScale,par->minScale,val2);
    n0=sqrt(val[0]);
    density(x,y,z,val);
    abundance(x,y,z,val2);
    weight1=sqrt(val[0])/n0;
    
#if LINEPOLARIZATION == ON
    // TODO: remove after tests;
    //weight1 = pow(par->minScale / sqrt(x*x + y*y + z*z), 2);
    //weight1 = pow(par->minScale / sqrt(y*y + z*z), 2);
#endif
    
    double radius, radius_max;
    radius     = sqrt(x*x + y*y + z*z);
    radius_max = par->radius;
    weight1    = pow(radius / radius_max, 3);
    
    
    weight2=0.;
    
    if(ran < weight1 || ran < weight2) return 1;
    else return 0;
}
